// Gmail Manager
// By Todd Long <longfocus@gmail.com>
// http://www.longfocus.com/firefox/gmanager/

const DISPLAY_NAME	= "Gmail Manager";
const ID			= "{582195F5-92E7-40a0-A127-DB71295901D7}";
const NAME			= "gmanager";
const KEY			= "/gmanager";
const VERSION		= "0.4.3.3";
const JAR_FILE		= NAME + ".jar";

initInstall(NAME, KEY, VERSION);

var mainDir = getFolder("Profile", "extensions/" + ID);
var chromeDir = getFolder(mainDir, "chrome");
var defaultsDir = getFolder(mainDir, "defaults");
var programDir = getFolder("Program");
var componentsDir = getFolder("Components");
var jarDir = getFolder(chromeDir, JAR_FILE);

// Adds chrome/gmanager.jar
addFile(KEY, VERSION, "chrome/" + JAR_FILE, chromeDir, null);

// Adds defaults/preferences/gmanager.js and autoreg for components
addDirectory(KEY, VERSION, "defaults", defaultsDir, null);
defaultsDir = getFolder(getFolder("Program", "defaults"), "pref");
addFile(KEY, VERSION, "defaults/preferences/gmanager.js", defaultsDir, null);
addFile(KEY, VERSION, "defaults/preferences/.autoreg", defaultsDir, null);

// Adds components
addFile(KEY, VERSION, "components/nsGmailManager.js", componentsDir, null);
addFile(KEY, VERSION, "components/nsGmailManager.xpt", componentsDir, null);
addFile(KEY, VERSION, "components/nsGmailAccount.js", componentsDir, null);
addFile(KEY, VERSION, "components/nsGmailAccount.xpt", componentsDir, null);
addFile(KEY, VERSION, "components/nsCookies.js", componentsDir, null);
addFile(KEY, VERSION, "components/nsCookies.xpt", componentsDir, null);

// Content and Skin
registerChrome(CONTENT | PROFILE_CHROME, jarDir, "content/");
registerChrome(SKIN | PROFILE_CHROME, jarDir, "skin/classic/");

// Locales
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/de-DE/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/en-US/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/es-ES/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/fi-FI/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/it-IT/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/ja-JP/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/ko-KR/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/lt-LT/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/nl-NL/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/pl-PL/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/pt-BR/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/pt-PT/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/ru-RU/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/sk-SK/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/sl-SI/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/tr-TR/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/zh-CN/");
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/zh-TW/");

// Checks that for success so far
if (getLastError() == SUCCESS) {
  var err = performInstall();
  
  if (err == SUCCESS)
    alert(DISPLAY_NAME + " " + VERSION + " installed successfully!\n" +
            "Please restart to enable the extension.");
}
else
  cancelInstall();
